AWS IoT Device SDK C++ v2: Aws::Greengrass::SubscribeToComponentUpdatesOperationContext Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Greengrass::SubscribeToComponentUpdatesOperationContext Class Reference

`#include <GreengrassCoreIpcModel.h>`

Inheritance diagram for Aws::Greengrass::SubscribeToComponentUpdatesOperationContext:

## Public Member Functions
| SubscribeToComponentUpdatesOperationContext (const GreengrassCoreIpcServiceModel &serviceModel) noexcept
Aws::Crt::ScopedResource< AbstractShapeBase > | AllocateInitialResponseFromPayload (Aws::Crt::StringView stringView, Aws::Crt::Allocator *allocator=Aws::Crt::g_allocator) const noexcept override
Aws::Crt::ScopedResource< AbstractShapeBase > | AllocateStreamingResponseFromPayload (Aws::Crt::StringView stringView, Aws::Crt::Allocator *allocator=Aws::Crt::g_allocator) const noexcept override
Aws::Crt::String | GetRequestModelName () const noexcept override
Aws::Crt::String | GetInitialResponseModelName () const noexcept override
Aws::Crt::Optional< Aws::Crt::String > | GetStreamingResponseModelName () const noexcept override
Aws::Crt::String | GetOperationName () const noexcept override
Public Member Functions inherited from Aws::Eventstreamrpc::OperationModelContext
| OperationModelContext (const ServiceModel &serviceModel) noexcept
Crt::ScopedResource< OperationError > | AllocateOperationErrorFromPayload (const Crt::String &errorModelName, Crt::StringView stringView, Crt::Allocator *allocator) const noexcept

## Constructor & Destructor Documentation

## ◆ SubscribeToComponentUpdatesOperationContext()

Aws::Greengrass::SubscribeToComponentUpdatesOperationContext::SubscribeToComponentUpdatesOperationContext | ( | const GreengrassCoreIpcServiceModel & | serviceModel | ) |
| noexcept

## Member Function Documentation

## ◆ AllocateInitialResponseFromPayload()

Aws::Crt::ScopedResource< AbstractShapeBase > Aws::Greengrass::SubscribeToComponentUpdatesOperationContext::AllocateInitialResponseFromPayload | ( | Aws::Crt::StringView | stringView,
|  | Aws::Crt::Allocator * | allocator = `Aws::Crt::g_allocator`
| ) |  | const
| overridevirtualnoexcept

Implements Aws::Eventstreamrpc::OperationModelContext.

## ◆ AllocateStreamingResponseFromPayload()

Aws::Crt::ScopedResource< AbstractShapeBase > Aws::Greengrass::SubscribeToComponentUpdatesOperationContext::AllocateStreamingResponseFromPayload | ( | Aws::Crt::StringView | stringView,
|  | Aws::Crt::Allocator * | allocator = `Aws::Crt::g_allocator`
| ) |  | const
| overridevirtualnoexcept

Implements Aws::Eventstreamrpc::OperationModelContext.

## ◆ GetInitialResponseModelName()

Aws::Crt::String Aws::Greengrass::SubscribeToComponentUpdatesOperationContext::GetInitialResponseModelName | ( |  | ) | const
| overridevirtualnoexcept

Implements Aws::Eventstreamrpc::OperationModelContext.

## ◆ GetOperationName()

Aws::Crt::String Aws::Greengrass::SubscribeToComponentUpdatesOperationContext::GetOperationName | ( |  | ) | const
| overridevirtualnoexcept

Implements Aws::Eventstreamrpc::OperationModelContext.

## ◆ GetRequestModelName()

Aws::Crt::String Aws::Greengrass::SubscribeToComponentUpdatesOperationContext::GetRequestModelName | ( |  | ) | const
| overridevirtualnoexcept

Implements Aws::Eventstreamrpc::OperationModelContext.

## ◆ GetStreamingResponseModelName()

Aws::Crt::Optional< Aws::Crt::String > Aws::Greengrass::SubscribeToComponentUpdatesOperationContext::GetStreamingResponseModelName | ( |  | ) | const
| overridevirtualnoexcept

Implements Aws::Eventstreamrpc::OperationModelContext.

The documentation for this class was generated from the following files:

- greengrass_ipc/include/aws/greengrass/GreengrassCoreIpcModel.h
- greengrass_ipc/source/GreengrassCoreIpcModel.cpp